## cenon.app 3.93

=== VHFExport/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = VHFExport

PROJECTVERSION = 2.6
PROJECT_TYPE = Component
LANGUAGE = English

CLASSES = DXFExport.m GerberExport.m HPGLExport.m

HFILES = DXFExport.h dxfColorTable.h GerberExport.h HPGLExport.h

OTHERSRCS = Makefile


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(HOME)/Apps
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
