=== debian/changelog ===
cenon.app (3.93-1.2build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:47:37 +0100

cenon.app (3.93-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": add patch from Yavor Doganov.
    (Closes: #667866)

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 May 2012 15:40:15 +0200

cenon.app (3.93-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/645926.patch: New; use the correct app icon name to
    prevent a crash during initialization (Closes: #645926).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 Nov 2011 19:15:37 +0200

cenon.app (3.93-1) unstable; urgency=low

  * New upstream version.
  * Change section to gnustep.
  * Bump standards version.
  * Bump debhelper version.
  * Update my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 27 Jan 2011 08:53:27 +0100

cenon.app (3.83-1) unstable; urgency=low

  * New upstream version. (Closes: #375518)
  * GNUstep transition. (Closes: #447459)
    + Updated debian/rules.
    + Fix GNUmakefile.postamble.
  * debian/compat: Bump version, no changes needed.
  * debian/control: Updated standards version.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 08 Oct 2007 22:13:35 +0200

cenon.app (3.82-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue,  2 Jan 2007 12:15:53 +0100

cenon.app (3.81-2) unstable; urgency=low

  * Apply patch from Kaloian Doganov to fix the
    NSSearchPathForDirectoriesInDomains. (Closes: #375518)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat,  4 Nov 2006 01:50:33 +0100

cenon.app (3.81-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 20 Sep 2006 22:41:49 +0200

cenon.app (3.80-2) unstable; urgency=low

  * Apply patch to fix FTBFS on amd64. (Closes: #373214)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 14 Jun 2006 21:16:21 +0200

cenon.app (3.80-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against latest libgnustep-gui.
  * Bump standards version.
  * Add co-maintainers.
  * Updated manual page.
  * Applied patch to fix FTBFS on amd64. (Closes: #303888)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 22 Dec 2005 16:21:19 +0100

cenon.app (3.64-1) unstable; urgency=low

  * New upstream release.
  * Renamed source package to cenon.app.
  * Updated manual page.
  * Updated debian/control build-depends for GNUstep 0.9.4.
  * Cleaned up debian/rules.
  * Cenon Library fix with s,NSLocalDomainMask,NSSystemDomainMask,g

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 18 Nov 2004 20:49:13 +0100

cenon (3.62-1) unstable; urgency=low

  * New upstream release
  * Renamed binary package to cenon.app

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 26 Jul 2004 23:59:57 +0200

cenon (3.60-1) unstable; urgency=low

  * Initial Release.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 25 Jan 2004 15:05:21 +0100
