=== debian/control ===
Source: cenon.app
Section: gnustep
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), libgnustep-gui-dev (>= 0.12.0), gnustep-make
Standards-Version: 3.9.1
Homepage: http://www.cenon.info/

Package: cenon.app
Architecture: any
Depends: ${shlibs:Depends}
Replaces: cenon
Conflicts: cenon
Description: Vector graphics tool for GNUstep
 Cenon is a graphical tool of a special kind. Build upon a modular graphical
 core, Cenon offers a wide variety of possibilities and applications - not
 only Desktop Publishing. The best of all, Cenon is free software, available
 with full source codes, and at home on many computer platforms.
 .
 Convert, import and export DXF, PostScript, Adobe Illustrator, DIN formats,
 HPGL, Gerber and PDF.
