## cenon.app 4.0.2

=== debian/changelog ===
cenon.app (4.0.2-1build3) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 05:47:03 +0000

cenon.app (4.0.2-1build2) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:25:42 +0000

cenon.app (4.0.2-1build1) yakkety; urgency=medium

  * No-change rebuild for gnustep-gui 0.25

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 21:11:07 +0000

cenon.app (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: (Maintainer): Set to the GNUstep team.
    (Uploaders): Add myself.
    (Build-Depends): Require libgnustep-gui-dev (>= 0.24) and debhelper
    (>= 9).  Add imagemagick for the icon conversion.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Recommends): Add ghostscript.
    (Conflicts, Replaces): Remove, obsolete.
    (Vcs-Git, Vcs-Browser): New fields.
    (Standards-Version): Compliant with 3.9.5 as of this release.
  * debian/compat: Set to 9.
  * debian/patches/debian-changes-3.91-1:
  * debian/patches/debian-changes-3.93-1: Remove as the changes are not
    correct; stop installing the Cenon library in a place where the
    application cannot find it (Closes: #496299).
  * debian/patches/645926.patch:
  * debian/patches/667866.patch: Remove; applied upstream.
  * debian/patches/no-installation-domain.patch: New, do not define
    GNUSTEP_INSTALLATION_DOMAIN.
  * debian/patches/check-return-value.patch: New, check the return value
    of `system' while importing files.
  * debian/patches/gui-0.24.patch: New, fix FTBFS and a few more issues
    with the current GNUstep libraries (Closes: #749553).
  * debian/patches/series: Update.
  * debian/rules: Rewrite for modern dh.  Move resource to /usr/share.
    Enable hardening and verbose build.  Build an upstream changelog from
    the plain text files; passing ChangeLog/* to dh_installchangelogs
    results in garbage because of the RTF files.  Generate a XPM icon.
  * debian/install:
  * debian/preinst:
  * debian/watch: New file.
  * debian/dirs:
  * debian/lintian-override: Delete.
  * debian/menu: Add icon and longtitle.
  * debian/Cenon.desktop: Make it valid, add Comment and Keywords fields.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 16:34:34 +0300
