=== debian/control ===
Source: cenon.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev (>= 0.24),
	       gnustep-make,
	       imagemagick
Standards-Version: 3.9.5
Homepage: http://www.cenon.info/
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/cenon.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/cenon.app.git

Package: cenon.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: ghostscript
Description: Vector graphics tool for GNUstep
 Cenon is a graphical tool of a special kind. Build upon a modular graphical
 core, Cenon offers a wide variety of possibilities and applications - not
 only Desktop Publishing. The best of all, Cenon is free software, available
 with full source codes, and at home on many computer platforms.
 .
 Convert, import and export DXF, PostScript, Adobe Illustrator, DIN formats,
 HPGL, Gerber and PDF.
