## cenon.app 4.0.6%2Bds1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds.*$//, repack, repacksuffix=+ds1, compression=bz2" \
http://cenon.zone/download/source/Cenon-(.*)\.tar\.bz2
