## cenon.app 4.0.6+ds1

=== VHFImport/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = VHFImport

PROJECTVERSION = 2.6
PROJECT_TYPE = Component
LANGUAGE = English

GLOBAL_RESOURCES = psImport.prolog psImportAI3.prolog\
                   psImportAI3.trailer

CLASSES = DINImport.m DXFImport.m GerberImport.m HPGLImport.m\
          PSImport.m

HFILES = DINImport.h DXFImport.h dxfColorTable.h dxfOperators.h\
         GerberImport.h HPGLImport.h PSImport.h

PSWFILES = psi.psw

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble README


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
