=== VHFShared/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = VHFShared

PROJECTVERSION = 2.6
PROJECT_TYPE = Component
LANGUAGE = English

CLASSES = VHFArrayAdditions.m VHFDictionaryAdditions.m\
          VHFPopUpButtonAdditions.m VHFScannerAdditions.m\
          VHFStringAdditions.m VHFSystemAdditions.m

HFILES = types.h vhf2DFunctions.h VHFArrayAdditions.h\
         vhfCommonFunctions.h vhfCompatibility.h\
         VHFDictionaryAdditions.h vhfMath.h VHFPopUpButtonAdditions.h\
         VHFScannerAdditions.h vhfSoundFunctions.h VHFStringAdditions.h\
         VHFSystemAdditions.h vhfCFGFunctions.h

MFILES = vhf2DFunctions.m vhfCFGFunctions.m vhfCommonFunctions.m\
         vhfMath.m vhfSoundFunctions.m

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
