=== debian/changelog ===
cenon.app (4.0.6+ds1-5build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 07:29:58 +0100

cenon.app (4.0.6+ds1-5) unstable; urgency=medium

  * debian/control (Build-Depends): Require libgnustep-gui-dev (>=
    0.31.1-7) for the multiarch layout.
  * debian/install: Update for multiarch (Closes: #1093983).
  * debian/rules (p_app, p_com): New variables.
    (execute_before_dh_link): Merge the recipe from the
    override_dh_link-indep target and make sure all symlinks are created
    in the cenon.app package.
  * debian/patches/invalid-array-syntax.patch: Fix Description typo.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 31 Jan 2025 04:57:11 +0200

cenon.app (4.0.6+ds1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Yavor Doganov ]
  * debian/rules (execute_before_dh_link): New target; invoke gsdh_gnustep
    and delete everything we don't need in an arch:any build.  Fixes FTBFS
    introduced in 4.0.6+ds1-3 with debhelper compat 13.
    (override_dh_auto_build): Use $(verbose) instead of messages=yes to
    support "terse" in DEB_BUILD_OPTIONS.  Convert app icon to PNG.
    (override_dh_clean): Delete the .png icon.
    (override_dh_link-indep): Convert a device file to UTF-8 to fix
    lintian warning national-encoding.
  * debian/control (Build-Depends): Remove gnustep-make and ancient
    libgnustep-gui-dev version requirement.  Add imagemagick.
    (cenon.app-common) <Breaks, Replaces>: Remove; obsolete.
    <Multi-Arch>: Set to "foreign".
    (Rules-Requires-Root): Set to "no".
  * debian/install: Install everything except Resources directories.
    Install the .png icon.
  * debian/not-installed: Delete; let dh_gnustep handle stamp.make files.
  * debian/Cenon.desktop: Amend Icon path.
  * debian/watch: Use HTTPS protocol.
  * debian/patches/invalid-array-syntax.patch: Append "mailto:" to the
    Forwarded field hoping that UDD will consider it valid metadata.
  * debian/patches/clean-target.patch: Likewise.
  * debian/patches/gcc-warnings.patch: Likewise.
  * debian/patches/spelling-errors.patch: Likewise.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 12 Jul 2024 05:02:09 +0300

cenon.app (4.0.6+ds1-3) unstable; urgency=medium

  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.7.0.
  * Add d/not-installed.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Jul 2024 23:07:22 +0000

cenon.app (4.0.6+ds1-2) unstable; urgency=medium

  * debian/copyright: Add missing copyright holders vhf interservice GmbH,
    vhf computer GmbH, NeXT Software, Inc., Adobe Systems Incorporated,
    GraphiCode Inc (Closes: #892981).
  * debian/control (cenon.app-common): Mark as M-A: foreign.
  * debian/Cenon.desktop: Change icon path to /usr/share.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Mar 2018 14:25:12 +0300

cenon.app (4.0.6+ds1-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Update control, fix my name.

  [ Yavor Doganov ]
  * New upstream release.
    + Fixes compilation warnings with gnustep-gui/0.26 (Closes: #886466).
  * Repackage the upstream tarball to exclude Cenon.xcodeproj due to
    filename with \r (Closes: #885954).
  * debian/watch: Switch to version 4 and new upstream location, add
    repacking options.
  * debian/copyright: Rewrite in copyright format 1.0, add new license
    CenPL and LGPL-2+ for two files that are derived from gnustep-base.
    Update copyright years.  Add Files-Excluded: Cenon.xcodeproj.
  * debian/patches/no-installation-domain.patch:
  * debian/patches/check-return-value.patch:
  * debian/patches/gui-0.24.patch: Remove; applied upstream.
  * debian/patches/invalid-array-syntax.patch: New, fix FTBFS due to
    invalid (for GCC) syntax.
  * debian/patches/clean-target.patch: New, fix building twice in a row
    due to a gnustep-make bug.
  * debian/patches/gcc-warnings.patch: New, fix several warnings.
  * debian/patches/spelling-errors.patch: New, self-explanatory.
  * debian/patches/series: Update.
  * debian/compat: Bump to 11.
  * debian/menu: Delete.
  * debian/control: Run wrap-and-sort -sa.
    (cenon.app-common): New package, split arch-indep files (> 6 MB).
    (Build-Depends): Remove imagemagick.  Bump libgnustep-gui-dev
    requirement to >= 0.26 for NSScreen -backingScaleFactor.  Require
    gnustep-make >= 2.7.0-3 for the optim variable definition.  Bump
    debhelper requirement to match the compat level.
    (Depends): Remove ${gnustep:Depends}; obsolete.  Add -common.
    (Vcs-Git, Vcs-Browser): Switch to salsa.d.o.
    (Standards-Version): Compliant with 4.1.3 as of this release.
  * debian/install: Don't install the .xpm icon.  Explicitly list all
    binaries to be installed in the arch:any package.
  * debian/rules: Delete optim definition.  Enable all hardening.
    (LDFLAGS): Remove, not necessary.
    (d_com): New helper variable, amend d_app accordingly.
    (override_dh_auto_build): Don't generate .xpm icon.  Replace $(MAKE)
    with dh_auto_build, pass dpkg-buildflags.
    (override_dh_clean): Remove Cenon.xpm.
    (override_dh_link): Rename as -indep and adjust recipe for the
    arch:all package.  Don't invoke dh_gnustep; does nothing for apps.
  * debian/Cenon.desktop: Add all supported mime types and %F to Exec key.
  * debian/preinst: Delete, no longer necessary.
  * debian/README.Debian: Amend URLs for upstream documentation and the
    Astrology bundle.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 13 Mar 2018 10:43:57 +0200
