=== debian/control ===
Source: cenon.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Alex Myczko <tar@debian.org>,
 Yavor Doganov <yavor@gnu.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libgnustep-gui-dev (>= 0.31.1-7),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.cenon.info/
Vcs-Git: https://salsa.debian.org/gnustep-team/cenon.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/cenon.app

Package: cenon.app
Architecture: any
Multi-Arch: foreign
Depends:
 cenon.app-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ghostscript
Description: Vector graphics tool for GNUstep
 Cenon is a graphical tool of a special kind. Build upon a modular graphical
 core, Cenon offers a wide variety of possibilities and applications - not
 only Desktop Publishing. The best of all, Cenon is free software, available
 with full source codes, and at home on many computer platforms.
 .
 Convert, import and export DXF, PostScript, Adobe Illustrator, DIN formats,
 HPGL, Gerber and PDF.

Package: cenon.app-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 cenon.app
Description: Vector graphics tool for GNUstep (common files)
 Cenon is a graphical tool for vector design and desktop publishing.
 It supports conversion, import and export in several formats like DXF,
 PostScript, Adobe Illustrator, DIN formats, HPGL, Gerber, PDF and SVG.
 .
 This package contains the architecture-independent files.
