=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds.*$//, repack, repacksuffix=+ds1, compression=bz2" \
https://cenon.zone/download/source/Cenon-(.*)\.tar\.bz2
